=== debian/control ===
Source: pasmo
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
Standards-Version: 4.7.0
Homepage: https://pasmo.speccy.org/
Vcs-Browser: https://salsa.debian.org/debian/pasmo
Vcs-Git: https://salsa.debian.org/debian/pasmo.git

Package: pasmo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: easy to use Z80 cross-assembler
 A Z80 assembler capable of generating object code in formats suitable
 for many Z80 machines and emulators.  Pasmo generates fixed position
 code, can not be used to create relocatable object files for use with
 linkers. Pasmo is compatible with the syntax used in several old
 assemblers, by supporting several styles of numeric and string literals
 and by providing several names of the most used directives.
