=== debian/tests/control ===
Test-Command: pasmo 2>&1 | grep 'Usage'
Restrictions: superficial

Tests: assembly_tests.sh
